#pragma once

#include <gint/display.h>
#include <gint/defs/types.h>

#include <stdint.h>
#include <math.h>

//---
// Data structures
//---

typedef struct {
    float w, h;     /* px */
    float x, y;     /* px */
    float vx, vy;   /* px/s */
    float vr;       /* rad/s */
} rect_t;

//---
// Rendering
//---

void dcircle(int x, int y, int color);
